#include <SDL/SDL.h>

class Fondo;
class Jugador; 
class Manada;

class Timer;
class Texto;
class Colision;
	
class Juego
{
	Fondo * fondo, * fondo2;
	Jugador * player;
	Manada * malos;	
	Timer * timer;
	Texto * texto;
	Colision * colision;
	char TEXTO [20];
	int vidas;
	int salir, restar;
	
	SDL_Event evento;
	SDL_Surface * pantalla;
	SDL_Rect posicion;
	
	
	public:
	Juego(SDL_Surface*);
	~Juego();
	
	void Actualizar ();
	void Dibujar();
	
	void RestarVida();
	void CargarNivel();
	void Iniciar ();
	void Terminar();
	
};
